---
layout: single
title: "Guides"
permalink: /contribute/guides/
sidebar:
  title: '<img id="side-icon-verybig" src="/assets/vector/graduation-cap.svg"/>Guides'
  nav: contribute
toc: true
toc_sticky: true
src: "_pages/contribute/04-guides.md"
---


While RoboSats strives to be a smooth and intuitive buying/selling experience, many users still prefer to rely on guides and tutorials for applications they've never used before! Help out by writing your own guide detailing your RoboSats experience!

Guides, tutorials, demos, etc. are invaluable additions to the RoboSats website. There are so many cool features of RoboSats that there can be  generic guides (how to buy, sell, swap, etc.) and also many purpose-specific guides (how to use specific swap methods, receiving to on chain, receiving to wrapped invoice, etc.).

## Things To Consider

In order to provide your readers/viewers the most accurate information about the platform, consider briefly checking out the RoboSats documentation here on [learn.robosats.com](https://learn.robosats.com). There you will find many characteristics and aspects of RoboSats in fine detail, as well as some [previously created tutorials](https://learn.robosats.com/watch/en/) which may help serve as reference for your tutorial.

If you have lingering questions that are not answered in the documentation, then please do not hesitate to reach out and ask in the [public SimpleX support group](https://learn.robosats.com/contribute/code/#communication-channels).

If you are trying to do a live demonstration of RoboSats for a meetup or conference event, there are willing robot peers in the aforementioned Telegram groups who would be thrilled to lend a robotic hand! There is nothing cooler (and more helpful) for first-timers than seeing RoboSats live and in action!

## How To Add Your Guide Here

Once you create a guide, you can request to add it to the RoboSats documentation site! Simply create a pull request on the GitHub!

{% include improve %}
