---
layout: single
classes: wide
title: "Trade Pipeline"
permalink: /docs/trade-pipeline/
toc: true
toc_sticky: true
sidebar:
  title: '<img id="side-icon-verybig" src="/assets/vector/timeline.svg"/>Trade Pipeline'
  nav: docs
src: "_pages/docs/03-understand/01-trade-pipeline.md"
---

The RoboSats trade pipeline is straightforward and streamlined. The general order flow when making and taking orders is laid out below in numerical steps and in a flowchart.

## Order Flow in Numerical Steps

Alice wants to buy Sats privately. This is step-by-step what happens when she buys using RoboSats:

1. Alice generates an avatar (AdequateAlice01) using her private random token.
2. Alice safely stores the token in case she needs to recover AdequateAlice01 in the future.
3. Alice makes a new order and locks a small hold invoice to publish it (maker bond).
4. Bob wants to sell Sats, sees Alice's order in the book and takes it.
5. Bob scans a small hold invoice as his taker bond. The contract is final.
6. Bob posts the traded Sats with a hold invoice. While Alice submits her payout invoice.
7. In a private chat, Bob tells Alice how to send him fiat.
8. Alice pays Bob, then they confirm the fiat has been sent and received.
9. Bob's trade hold invoice is charged and the Sats are sent to Alice.
10. Bob and Alice's bonds return automatically, since they complied by the rules.
11. The bonds would be charged (lost) in case of unilateral cancellation or cheating (lost dispute).

## Order Flow in Flowchart
<div align="center">
    <img src="/assets/images/trade-pipeline/buyer-en.jpg" width="650"/>
</div>

<div align="center">
    <img src="/assets/images/trade-pipeline/seller-en.jpg" width="650"/>
</div>

{% include improve %}
