export interface PaymentMethod {
  name: string;
  icon: string;
}

export const fiatMethods: PaymentMethod[] = [
  { name: 'Revolut', icon: 'revolut' },
  { name: 'CashApp', icon: 'cashapp' },
  { name: 'Zelle', icon: 'zelle' },
  { name: 'Strike', icon: 'strike' },
  { name: 'WeChat Pay', icon: 'wechatpay' },
  { name: 'Instant SEPA', icon: 'sepa' },
  { name: 'Interac e-Transfer', icon: 'interac' },
  { name: 'Wise', icon: 'wise' },
  { name: 'Venmo', icon: 'venmo' },
  { name: 'Faster Payments', icon: 'faster' },
  { name: 'Paypal Friends & Family', icon: 'paypal' },
  { name: 'LINE Pay', icon: 'linepay' },
  { name: 'Rakuten Pay', icon: 'rakuten' },
  { name: 'PromptPay', icon: 'promptpay' },
  { name: 'Bizum', icon: 'bizum' },
  { name: 'N26', icon: 'n26' },
  { name: 'Tinkoff Bank', icon: 'tinkoff' },
  { name: 'TWINT', icon: 'twint' },
  { name: 'Advcash', icon: 'advcash' },
  { name: 'BLIK', icon: 'blik' },
  { name: 'MBWay', icon: 'mbway' },
  { name: 'W1TTY', icon: 'w1tty' },
  { name: 'Verse', icon: 'verse' },
  { name: 'Paysera', icon: 'paysera' },
  { name: 'Amazon GiftCard', icon: 'amazon' },
  { name: 'Ozon GiftCard', icon: 'ozon' },
  { name: 'AliPay', icon: 'alipay' },
  { name: 'GPay', icon: 'gpay' },
  { name: 'Bancolombia', icon: 'bancolombia' },
  { name: 'Pago Movil BDV', icon: 'pagomovilbdv' },
  { name: 'SPEI', icon: 'spei' },
  { name: 'PIX', icon: 'pix' },
  { name: 'Pouch.ph', icon: 'pouch' },
  { name: 'PayID', icon: 'payid' },
  { name: 'Paysafe', icon: 'paysafe' },
  { name: 'Sber Bank', icon: 'sberbank' },
  { name: 'PhonePe', icon: 'phonepe' },
  { name: 'OVO', icon: 'ovo' },
  { name: 'HalCash', icon: 'halcash' },
  { name: 'Vivid', icon: 'vivid' },
  { name: 'Google Play Gift Code', icon: 'googleplay' },
  { name: 'Apple Pay', icon: 'applepay' },
  { name: 'Steam', icon: 'steam' },
  { name: 'Nequi', icon: 'nequi' },
  { name: 'ShakePay', icon: 'shakepay' },
  { name: 'Sinpe', icon: 'sinpe' },
  { name: 'DaviPlata', icon: 'daviplata' },
  { name: 'CoDi', icon: 'codi' },
  { name: 'TaiwanPay', icon: 'taiwanpay' },
  { name: 'MaiCoin', icon: 'maicoin' },
  { name: 'GoPay', icon: 'gopay' },
  { name: 'MercadoPago', icon: 'mercadopago' },
  { name: 'Monero', icon: 'monero' },
  { name: 'USDT', icon: 'usdt' },
  { name: 'L-USDt', icon: 'usdtliquid' },
  { name: 'Airtel Money', icon: 'airtel' },
  { name: 'MTN Money', icon: 'mtn' },
  { name: 'M-Pesa', icon: 'mpesa' },
  { name: 'UPI', icon: 'upi' },
  { name: 'MoMo', icon: 'momo' },
  { name: 'Tigo Pesa', icon: 'tigopesa' },
  { name: 'Cash F2F', icon: 'cash' },
  { name: 'Amazon USA GiftCard', icon: 'amazonus' },
  { name: 'Amazon DE GiftCard', icon: 'amazonde' },
  { name: 'Amazon AU GiftCard', icon: 'amazonau' },
  { name: 'Amazon SA GiftCard', icon: 'amazonsa' },
  { name: 'Amazon ES GiftCard', icon: 'amazones' },
  { name: 'Amazon CA GiftCard', icon: 'amazonca' },
  { name: 'Amazon CN GiftCard', icon: 'amazoncn' },
  { name: 'Amazon AE GiftCard', icon: 'amazonae' },
  { name: 'Amazon FR GiftCard', icon: 'amazonfr' },
  { name: 'Amazon NL GiftCard', icon: 'amazonnl' },
  { name: 'Amazon IN GiftCard', icon: 'amazonin' },
  { name: 'Amazon IT GiftCard', icon: 'amazonit' },
  { name: 'Amazon JP GiftCard', icon: 'amazonjp' },
  { name: 'Amazon MX GiftCard', icon: 'amazonmx' },
  { name: 'Amazon PL GiftCard', icon: 'amazonpl' },
  { name: 'Amazon UK GiftCard', icon: 'amazonuk' },
  { name: 'Amazon SE GiftCard', icon: 'amazonse' },
  { name: 'Amazon SG GiftCard', icon: 'amazonsg' },
  { name: 'Amazon TR GiftCard', icon: 'amazontr' },
  { name: 'Tinkoff QR', icon: 'tinkoffqr' },
  { name: 'SBP', icon: 'sbp' },
  { name: 'Qiwi', icon: 'qiwi' },
];

export const swapMethods: PaymentMethod[] = [
  { name: 'On-Chain BTC', icon: 'onchain' },
  { name: 'On-Chain w/ Stowaway', icon: 'stowaway' },
  { name: 'RBTC', icon: 'rbtc' },
  { name: 'LBTC', icon: 'lbtc' },
  { name: 'WBTC', icon: 'wbtc' },
];
